NumberStringConverter (JavaFX 25)
Description: declaration: module: javafx.base, package: javafx.util.converter, class: NumberStringConverter

# Class NumberStringConverter

java.lang.Object
javafx.util.StringConverter<Number>
javafx.util.converter.NumberStringConverter

Direct Known Subclasses:
  `CurrencyStringConverter, PercentageStringConverter`

public class NumberStringConverter extends StringConverter<Number>
A `StringConverter` implementation for `Number` values. Instances of this class are immutable.

Since:
  JavaFX 2.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberStringConverter()`
  Constructs a `NumberStringConverter` with the default locale and format.
  `NumberStringConverter(String pattern)`
  Constructs a `NumberStringConverter` with the default locale and the given decimal format pattern.
  `NumberStringConverter(NumberFormat numberFormat)`
  Constructs a `NumberStringConverter` with the given number format.
  `NumberStringConverter(Locale locale)`
  Constructs a `NumberStringConverter` with the given locale and the default format.
  `NumberStringConverter(Locale locale, String pattern)`
  Constructs a `NumberStringConverter` with the given locale and decimal format pattern.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Number`
  `fromString(String value)`
  Converts the string provided into an object defined by the specific converter.
  `protected NumberFormat`
  `getNumberFormat()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method was exposed erroneously and will be removed in a future version.
  `String`
  `toString(Number value)`
  Converts the object provided into its string form.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberStringConverter

    public NumberStringConverter()
    Constructs a `NumberStringConverter` with the default locale and format.

  - ### NumberStringConverter

    public NumberStringConverter(Locale locale)
    Constructs a `NumberStringConverter` with the given locale and the default format.
    Parameters:
      `locale` - the locale used in determining the number format used to format the string

  - ### NumberStringConverter

    public NumberStringConverter(String pattern)
    Constructs a `NumberStringConverter` with the default locale and the given decimal format pattern.
    Parameters:
      `pattern` - the string pattern used in determining the number format used to format the string
    See Also:
      - `DecimalFormat`

  - ### NumberStringConverter

    public NumberStringConverter(Locale locale, String pattern)
    Constructs a `NumberStringConverter` with the given locale and decimal format pattern.
    Parameters:
      `locale` - the locale used in determining the number format used to format the string
      `pattern` - the string pattern used in determining the number format used to format the string
    See Also:
      - `DecimalFormat`

  - ### NumberStringConverter

    public NumberStringConverter(NumberFormat numberFormat)
    Constructs a `NumberStringConverter` with the given number format.
    Parameters:
      `numberFormat` - the number format used to format the string

- ## Method Details

  - ### fromString

    public Number fromString(String value)
    Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
    Specified by:
      `fromString` in class `StringConverter<Number>`
    Parameters:
      `value` - the `String` to convert
    Returns:
      an object representation of the string passed in.

  - ### toString

    public String toString(Number value)
    Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
    Specified by:
      `toString` in class `StringConverter<Number>`
    Parameters:
      `value` - the object of type `T` to convert
    Returns:
      a string representation of the object passed in

  - ### getNumberFormat

    @Deprecated(forRemoval=true, since="22") protected NumberFormat getNumberFormat()
    Deprecated, for removal: This API element is subject to removal in a future version.
    This method was exposed erroneously and will be removed in a future version.
    Returns a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.
    Returns:
      a `NumberFormat` instance for formatting and parsing in this `StringConverter`